<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>Widgets</title>
        <link href="css/widgets.css" rel="stylesheet">
        <script src="js/widgets.mjs" type="module"></script>
        <style>
           h2 { margin-bottom: 0; }
        </style>
    </head>
    <body>
        <h1>Widgets</h1>

        <h2>Button</h2>
        <button class="button button--success" type="button">Success</button>

        <h2>Message</h2>
        <div class="message message--error">Here comes an error message!</div>

        <h2>Media</h2>
        <div class="media">
            <img src="http://lorempixel.com/100/100/food/"/>
            <h4>Bugsify Software</h4>
            <p>
                We deliver the most bug-full software apps in the 
                industry. Hire us and we will make a difference.
            </p>
        </div>

        <h2>Dropdown</h2>
        <div class="dropdown">
            <button>Sample Menu</button>
            <div>
                <ul class="menu">
                    <li><a href="/">Home</a></li>
                    <li><a href="button.html">Button</a></li>
                    <li><a href="dropdown.html">Dropdown</a></li>
                    <li><a href="media.html">Media</a></li>
                    <li><a href="message.html">Message</a></li>
                </ul>
            </div>
        </div>
    </body>
</html>
